Package org.springframework.security.config.annotation.method.configuration

# Annotation Interface EnableReactiveMethodSecurity

@Retention(RUNTIME) @Target(TYPE) @Documented @Import(org.springframework.security.config.annotation.method.configuration.ReactiveMethodSecuritySelector.class) public @interface EnableReactiveMethodSecurity

Since:
  5.0

## Optional Element Summary

Optional Elements
Modifier and Type
Optional Element
Description
`org.springframework.context.annotation.AdviceMode`
`mode`
Indicate how security advice should be applied.
`int`
`order`
Indicate the ordering of the execution of the security advisor when multiple advices are applied at a specific joinpoint.
`boolean`
`proxyTargetClass`
Indicate whether subclass-based (CGLIB) proxies are to be created as opposed to standard Java interface-based proxies.
`boolean`
`useAuthorizationManager`
Indicate whether `ReactiveAuthorizationManager` based Method Security to be used.

## Element Details

### proxyTargetClass

boolean proxyTargetClass
Indicate whether subclass-based (CGLIB) proxies are to be created as opposed to standard Java interface-based proxies. The default is `false`. Applicable only if `mode()` is set to `AdviceMode.PROXY`.

Note that setting this attribute to `true` will affect all Spring-managed beans requiring proxying, not just those marked with `@Cacheable`. For example, other beans marked with Spring's `@Transactional` annotation will be upgraded to subclass proxying at the same time. This approach has no negative impact in practice unless one is explicitly expecting one type of proxy vs another, e.g. in tests.

Default:
  false

### mode

org.springframework.context.annotation.AdviceMode mode
Indicate how security advice should be applied. The default is `AdviceMode.PROXY`.

Returns:
  the `AdviceMode` to use
See Also:
  - `AdviceMode`

Default:
  PROXY

### order

int order
Indicate the ordering of the execution of the security advisor when multiple advices are applied at a specific joinpoint. The default is `Ordered.LOWEST_PRECEDENCE`.

Returns:
  the order the security advisor should be applied

Default:
  2147483647

### useAuthorizationManager

boolean useAuthorizationManager
Indicate whether `ReactiveAuthorizationManager` based Method Security to be used.

Since:
  5.8

Default:
  true